<?
 /*SCRIPT PARA MANTENIMIENTO DE GRADOS ESCOLARES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Update":
    $id_grado=dec($idgrado);

    $qver=mysql_query("select * from grados where id = '$id_grado'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El grado no existe","javascript:history.go(-1)");
    }

    if(!$m1){$m1="N";}
    if(!$m2){$m2="N";}
    if(!$m3){$m3="N";}
    if(!$m4){$m4="N";}
    if(!$m5){$m5="N";}
    if(!$m6){$m6="N";}
    if(!$m7){$m7="N";}
    if(!$m8){$m8="N";}
    if(!$m9){$m9="N";}
    if(!$m10){$m10="N";}
    if(!$m11){$m11="N";}
    if(!$m12){$m12="N";}

    $sql="update grados set
          vinscripcion='$txtvinscripcion',
          vmensualidad='$txtvmensualidad',
          m1='$m1',
          m2='$m2',
          m3='$m3',
          m4='$m4',
          m5='$m5',
          m6='$m6',
          m7='$m7',
          m8='$m8',
          m9='$m9',
          m10='$m10',
          m11='$m11',
          m12='$m12',
          uniformeh='$txtuniformeh',
          uniformem='$txtuniformem'
          where id='$id_grado'";

                 $qupd=mysql_query($sql);
                 if($qupd){
                  //alert("Grado: $txtgrado\\nactualizado con éxito","frm_grado_v2.php?idgrado=$idg");
                  header("Location: ./frm_grado_cuotas_v2.php?idgrado=$idgrado");
                 }else{
                  echo "ERROR: $sql<br>".mysql_error();
                 }
   break;
   
   case "cargo_gral":
          $id_grado=dec($idgrado);
          $desc_cargo=get_tipo_cargo($txtdesccargo);
          if(!empty($txtdescadicional)){$desc_cargo.=" $txtdescadicional";}
          $sql="insert into 
                cp_cargosgenerales
                set
                descripcion = '$desc_cargo',
                valor='$txtvcargo',
                codigo='$txtdesccargo',
                dia='$txtdpago',
                m1='$m1',
                m2='$m2',
                m3='$m3',
                m4='$m4',
                m5='$m5',
                m6='$m6',
                m7='$m7',
                m8='$m8',
                m9='$m9',
                m10='$m10',
                m11='$m11',
                m12='$m12',
                masculino='$txth',
                femenino='$txtm',
                grado='$id_grado'";
          //echo $sql;
          $res=mysql_query($sql);
          if(!$res){echo "ERROR: ".mysql_error();}
          header("Location: ./frm_grado_cuotas_v2.php?idgrado=$idgrado");
   break;
   
   case "upd_cargo_gral":
          $id_grado=dec($idgrado);
          $id_cargo=dec($idcg);
          $desc_cargo=get_tipo_cargo($txtdesccargo);
          if(!empty($txtdescadicional)){$desc_cargo.=" $txtdescadicional";}
          $sql="update 
                cp_cargosgenerales
                set
                descripcion = '$desc_cargo',
                valor='$txtvcargo',
                codigo='$txtdesccargo',
                dia='$txtdpago',
                m1='$m1',
                m2='$m2',
                m3='$m3',
                m4='$m4',
                m5='$m5',
                m6='$m6',
                m7='$m7',
                m8='$m8',
                m9='$m9',
                m10='$m10',
                m11='$m11',
                m12='$m12',
                masculino='$txth',
                femenino='$txtm'
                where 
                id = '$id_cargo'";
          //echo $sql;
          $res=mysql_query($sql);
          if(!$res){echo "ERROR: ".mysql_error();}
          header("Location: ./frm_grado_cuotas_v2.php?idgrado=$idgrado");
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>
